# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-route-button@1.1.0...@billogram/foundation-route-button@1.2.0) (2021-02-02)

### Features

* Use @billogram/history ([1a34a4a4](https://github.com/billogram/frontend-foundation/commit/1a34a4a4))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-route-button@1.0.1...@billogram/foundation-route-button@1.1.0) (2021-01-10)

### Bug Fixes

* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-route-button ([5d963758](https://github.com/billogram/frontend-foundation/commit/5d963758))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-route-button@1.0.1) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationRouteButton ([70e9612d](https://github.com/billogram/frontend-foundation/commit/70e9612d))
* Scaffold out @billogram/foundation-route-button ([23e5d95c](https://github.com/billogram/frontend-foundation/commit/23e5d95c))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-route-button@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationRouteButton ([70e9612d](https://github.com/billogram/frontend-foundation/commit/70e9612d))
* Scaffold out @billogram/foundation-route-button ([23e5d95c](https://github.com/billogram/frontend-foundation/commit/23e5d95c))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
