# @billogram/foundation-route-button

> A React route button compoment (compatible with `react-router@3.x.x`)

## Install

```
yarn add @billogram/foundation-route-button
```

## Usage

```tsx
import {
    FoundationRouteButton,
} from '@billogram/foundation-route-button';
```

See [types](src/types.ts) for exported types.

### [`FoundationRouteButton`](src/FoundationRouteButton.tsx)

```tsx
<FoundationButton
    disabled={ false }
    onClick={ noop }
    to="required"
    ui="gray" />
    ...
</FoundationButton>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
