/// <reference types="react" />
import type { LocationDescriptor } from '@billogram/history';
import type { FoundationButtonUI } from '@billogram/foundation-button';
export interface FoundationRouteButtonClickHandler {
    (evt: React.MouseEvent<HTMLAnchorElement>): void;
}
export interface FoundationRouteButtonProps {
    children: React.ReactNode;
    disabled?: boolean;
    onClick?: FoundationRouteButtonClickHandler;
    to: LocationDescriptor;
    ui?: FoundationButtonUI;
}
